Type to search.

Trigger an on-demand test run for a monitor

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Trigger an immediate test execution for the specified monitor. The response includes the generated testRunId. If the test encounters issues in one or more service locations, an errors array is also returned with details about the failures.

[Required authorization] Route required privileges: (uptime-read) AND (uptime-write OR monitor-run-manually).

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

monitorId string · min length: 1 · max length: 1024 required

The ID (config_id) of the monitor to test.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

Test run triggered successfully.

application/json
testRunId string required

Unique identifier for the triggered test run.

404

Monitor not found.